import { CategoryController } from '@/controllers/category.controller';
import { Router } from 'express';

export class CategoryRoute {
  public path = '/category';
  public router = Router();
  private controller: CategoryController;

  constructor() {
    this.controller = new CategoryController();
    this.init();
  }

  private init() {
    this.router.get('/', this.controller.getAllCategories);
    this.router.get('/:id', this.controller.getCategory);
    this.router.post('/create',this.controller.createCategory);
  }
}
